package com.zhyc.module.biosafety.service.impl;

import java.util.List;

import com.zhyc.module.biosafety.domain.SwUsage;
import com.zhyc.module.biosafety.mapper.SwUsageMapper;
import com.zhyc.module.biosafety.service.ISwUsageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 药品使用方法Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-11
 */
@Service
public class SwUsageServiceImpl implements ISwUsageService
{
    @Autowired
    private SwUsageMapper swUsageMapper;

    /**
     * 查询药品使用方法
     * 
     * @param id 药品使用方法主键
     * @return 药品使用方法
     */
    @Override
    public SwUsage selectSwUsageById(Long id)
    {
        return swUsageMapper.selectSwUsageById(id);
    }

    /**
     * 查询药品使用方法列表
     * 
     * @param swUsage 药品使用方法
     * @return 药品使用方法
     */
    @Override
    public List<SwUsage> selectSwUsageList(SwUsage swUsage)
    {
        return swUsageMapper.selectSwUsageList(swUsage);
    }

    /**
     * 新增药品使用方法
     * 
     * @param swUsage 药品使用方法
     * @return 结果
     */
    @Override
    public int insertSwUsage(SwUsage swUsage)
    {
        return swUsageMapper.insertSwUsage(swUsage);
    }

    /**
     * 修改药品使用方法
     * 
     * @param swUsage 药品使用方法
     * @return 结果
     */
    @Override
    public int updateSwUsage(SwUsage swUsage)
    {
        return swUsageMapper.updateSwUsage(swUsage);
    }

    /**
     * 批量删除药品使用方法
     * 
     * @param ids 需要删除的药品使用方法主键
     * @return 结果
     */
    @Override
    public int deleteSwUsageByIds(Long[] ids)
    {
        return swUsageMapper.deleteSwUsageByIds(ids);
    }

    /**
     * 删除药品使用方法信息
     * 
     * @param id 药品使用方法主键
     * @return 结果
     */
    @Override
    public int deleteSwUsageById(Long id)
    {
        return swUsageMapper.deleteSwUsageById(id);
    }
}
